be.fgov.ehealth.mycarenet.commons.core.v4

## Class AbstractIdType

- java.lang.Object
- - be.fgov.ehealth.mycarenet.commons.core.v4.SelfRefType
  - - be.fgov.ehealth.mycarenet.commons.core.v4.AbstractIdType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    IdType, PackageType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-04-08T03:30:46+02:00",
                 comments="JAXB RI v2.3.7")
      public abstract class AbstractIdType
      extends SelfRefType
      implements Serializable

  Everything that is an entity derives from this type. Enties are object that are distinguishable and have a name. This name isn't nesesary unique.

  Java class for AbstractIdType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AbstractIdType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}SelfRefType">
             <sequence>
               <element name="Name" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}ValueRefString" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractIdType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueRefString` | `getName()` Gets the value of the name property.
    `void` | `setName(ValueRefString value)` Sets the value of the name property.

    - ### Methods inherited from class be.fgov.ehealth.mycarenet.commons.core.v4.SelfRefType

      `getId, getRef, setId, setRef`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractIdType

          public AbstractIdType()

  - ### Method Detail

    - #### getName

          public ValueRefString getName()

      Gets the value of the name property.
      Returns:
        possible object is `ValueRefString`

    - #### setName

          public void setName(ValueRefString value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `ValueRefString`

Connector Package PERSMIDWIFE 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.